View Javadoc

    1   //
    2   // This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
    3   // See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
    4   // Any modifications to this file will be lost upon recompilation of the source schema.
    5   // Generated on: 2012.11.09 at 12:33:57 PM EST
    6   //
    7
    8
    9   package org.owasp.dependencycheck.jaxb.pom.generated;
    10
    11  import javax.annotation.Generated;
    12  import javax.xml.bind.annotation.XmlAccessType;
    13  import javax.xml.bind.annotation.XmlAccessorType;
    14  import javax.xml.bind.annotation.XmlType;
    15
    16
    17  /**
    18   * Describes a build extension to utilise.
    19   *
    20   * <p>Java class for Extension complex type.
    21   *
    22   * <p>The following schema fragment specifies the expected content contained within this class.
    23   *
    24   * <pre>
    25   * &lt;complexType name="Extension">
    26   *   &lt;complexContent>
    27   *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
    28   *       &lt;all>
    29   *         &lt;element name="groupId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    30   *         &lt;element name="artifactId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    31   *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    32   *       &lt;/all>
    33   *     &lt;/restriction>
    34   *   &lt;/complexContent>
    35   * &lt;/complexType>
    36   * </pre>
    37   *
    38   *
    39   */
    40  @XmlAccessorType(XmlAccessType.FIELD)
    41  @XmlType(name = "Extension", propOrder = {
    42
    43  })
    44  @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    45  public class Extension {
    46
    47      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    48      protected String groupId;
    49      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    50      protected String artifactId;
    51      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    52      protected String version;
    53
    54      /**
    55       * Gets the value of the groupId property.
    56       *
    57       * @return
    58       *     possible object is
    59       *     {@link String }
    60       *
    61       */
    62      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    63      public String getGroupId() {
    64          return groupId;
    65      }
    66
    67      /**
    68       * Sets the value of the groupId property.
    69       *
    70       * @param value
    71       *     allowed object is
    72       *     {@link String }
    73       *
    74       */
    75      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    76      public void setGroupId(String value) {
    77          this.groupId = value;
    78      }
    79
    80      /**
    81       * Gets the value of the artifactId property.
    82       *
    83       * @return
    84       *     possible object is
    85       *     {@link String }
    86       *
    87       */
    88      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    89      public String getArtifactId() {
    90          return artifactId;
    91      }
    92
    93      /**
    94       * Sets the value of the artifactId property.
    95       *
    96       * @param value
    97       *     allowed object is
    98       *     {@link String }
    99       *
    100      */
    101     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    102     public void setArtifactId(String value) {
    103         this.artifactId = value;
    104     }
    105
    106     /**
    107      * Gets the value of the version property.
    108      *
    109      * @return
    110      *     possible object is
    111      *     {@link String }
    112      *
    113      */
    114     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    115     public String getVersion() {
    116         return version;
    117     }
    118
    119     /**
    120      * Sets the value of the version property.
    121      *
    122      * @param value
    123      *     allowed object is
    124      *     {@link String }
    125      *
    126      */
    127     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    128     public void setVersion(String value) {
    129         this.version = value;
    130     }
    131
    132 }